{
  lib,
  config,
  pkgs,
  ...
}:

lib.optionalString (lib.elem "nvim::lsp::nix-nil" config.machine.pkgs) # lua
  ''
    lspconfig.nil_ls.setup({
      cmd = {"${pkgs.nil}/bin/nil"},
      settings = {
        ['nil'] = {
          formatting = {
            command = { "${pkgs.nixfmt-rfc-style}/bin/nixfmt" }
          },
          maxMemoryMB = 4069,
          -- nix = {
          --   flake = {
          --     autoEvalInputs = true
          --   }
          -- }
        }
      }
    })
  ''
